org.fourthline.cling.support.model.item

## Class PlaylistItem

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject
  - - org.fourthline.cling.support.model.item.Item
    - - org.fourthline.cling.support.model.item.PlaylistItem

-     public class PlaylistItem
      extends Item

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject

      `DIDLObject.Class, DIDLObject.Property<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DIDLObject.Class` | `CLASS`

    - ### Fields inherited from class org.fourthline.cling.support.model.item.Item

      `refID`

    - ### Fields inherited from class org.fourthline.cling.support.model.DIDLObject

      `clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlaylistItem()`
    `PlaylistItem(Item other)`
    `PlaylistItem(String id, Container parent, String title, String creator, Res... resource)`
    `PlaylistItem(String id, String parentID, String title, String creator, Res... resource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PersonWithRole[]` | `getArtists()`
    `String` | `getDate()`
    `String` | `getDescription()`
    `PersonWithRole` | `getFirstArtist()`
    `String` | `getFirstGenre()`
    `String[]` | `getGenres()`
    `String` | `getLanguage()`
    `String` | `getLongDescription()`
    `StorageMedium` | `getStorageMedium()`
    `PlaylistItem` | `setArtists(PersonWithRole[] artists)`
    `PlaylistItem` | `setDate(String date)`
    `PlaylistItem` | `setDescription(String description)`
    `PlaylistItem` | `setGenres(String[] genres)`
    `PlaylistItem` | `setLanguage(String language)`
    `PlaylistItem` | `setLongDescription(String description)`
    `PlaylistItem` | `setStorageMedium(StorageMedium storageMedium)`

    - ### Methods inherited from class org.fourthline.cling.support.model.item.Item

      `getRefID, setRefID`

    - ### Methods inherited from class org.fourthline.cling.support.model.DIDLObject

      `addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASS

          public static final DIDLObject.Class CLASS

  - ### Constructor Detail

    - #### PlaylistItem

          public PlaylistItem()

    - #### PlaylistItem

          public PlaylistItem(Item other)

    - #### PlaylistItem

          public PlaylistItem(String id,
                              Container parent,
                              String title,
                              String creator,
                              Res... resource)

    - #### PlaylistItem

          public PlaylistItem(String id,
                              String parentID,
                              String title,
                              String creator,
                              Res... resource)

  - ### Method Detail

    - #### getFirstArtist

          public PersonWithRole getFirstArtist()

    - #### getArtists

          public PersonWithRole[] getArtists()

    - #### setArtists

          public PlaylistItem setArtists(PersonWithRole[] artists)

    - #### getFirstGenre

          public String getFirstGenre()

    - #### getGenres

          public String[] getGenres()

    - #### setGenres

          public PlaylistItem setGenres(String[] genres)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public PlaylistItem setDescription(String description)

    - #### getLongDescription

          public String getLongDescription()

    - #### setLongDescription

          public PlaylistItem setLongDescription(String description)

    - #### getLanguage

          public String getLanguage()

    - #### setLanguage

          public PlaylistItem setLanguage(String language)

    - #### getStorageMedium

          public StorageMedium getStorageMedium()

    - #### setStorageMedium

          public PlaylistItem setStorageMedium(StorageMedium storageMedium)

    - #### getDate

          public String getDate()

    - #### setDate

          public PlaylistItem setDate(String date)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.